package cn.superdesk.uniorder.dubbo.consumer.redis;

import cn.superdesk.uniorder.common.mq.redis.dto.ExcelImportTaskMessage;
import cn.superdesk.uniorder.dubbo.facade.redis.DubboRedisQueueService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2021/2/4 下午5:00
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/2/4 下午5:00
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class RedisQueueDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboRedisQueueService dubboRedisQueueService;

	public Long sendMessage(String message) {
		return dubboRedisQueueService.sendMessage(message);
	}

	public Long pushMessage2CHANNEL_ACCOUNTING_UNIFIED_CUSTOMER(String message) {
		return dubboRedisQueueService.pushMessage2CHANNEL_ACCOUNTING_UNIFIED_CUSTOMER(message);
	}

	public Long pushMessage2CHANNEL_ACCOUNTING_UNIFIED_SUPPLIER(String message) {
		return dubboRedisQueueService.pushMessage2CHANNEL_ACCOUNTING_UNIFIED_SUPPLIER(message);
	}

	public Long pushMessage2CHANNEL_QUEUE_F(ExcelImportTaskMessage message) {
		return dubboRedisQueueService.pushMessage2CHANNEL_QUEUE_F(message);
	}


}
